LexicalEngineConfiguration
Date: 2014-01-08

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.lexicalmatcher.analysis.core
Class LexicalEngineConfiguration

    java.lang.Object
      org.gcube.contentmanagement.lexicalmatcher.analysis.core.LexicalEngineConfiguration

    public class LexicalEngineConfiguration

extends java.lang.Object

Field Summary
`float` | `categoryDiscardDifferencialThreshold`
`float` | `categoryDiscardThreshold`
`int` | `chunkSize`
`java.lang.String` | `databaseAutomaticTestTable`
`java.lang.String` | `databaseDialect`
`java.lang.String` | `databaseDriver`
`java.lang.String` | `databaseIdleConnectionTestPeriod`
`java.lang.String` | `databasePassword`
`java.lang.String` | `databaseURL`
`java.lang.String` | `databaseUserName`
`java.lang.String` | `description`
`float` | `entryAcceptanceThreshold`
`java.lang.String` | `idColumn`
`java.lang.String` | `nameHuman`
`int` | `numberOfThreadsToUse`
`java.lang.Boolean` | `randomTake`
`int` | `ReferenceChunksToTake`
`java.lang.String` | `referenceColumn`
`java.lang.String` | `referenceTable`
`float` | `singleEntryRecognitionMaxDeviation`
`int` | `TimeSeriesChunksToTake`
`java.lang.Boolean` | `useSimpleDistance`

Constructor Summary
`LexicalEngineConfiguration()`

Method Summary
`void` | `configure(java.lang.String absoluteFilePath)`
`float` | `getCategoryDiscardDifferencialThreshold()`
`float` | `getCategoryDiscardThreshold()`
`int` | `getChunkSize()`
`java.lang.String` | `getDatabaseAutomaticTestTable()`
`java.lang.String` | `getDatabaseDialect()`
`java.lang.String` | `getDatabaseDriver()`
`java.lang.String` | `getDatabaseIdleConnectionTestPeriod()`
`java.lang.String` | `getDatabasePassword()`
`java.lang.String` | `getDatabaseURL()`
`java.lang.String` | `getDatabaseUserName()`
`java.lang.String` | `getDescription()`
`float` | `getEntryAcceptanceThreshold()`
`java.lang.String` | `getIdColumn()`
`java.lang.String` | `getNameHuman()`
`int` | `getNumberOfThreadsToUse()`
`int` | `getReferenceChunksToTake()`
`java.lang.String` | `getReferenceColumn()`
`java.lang.String` | `getReferenceTable()`
`float` | `getSingleEntryRecognitionMaxDeviation()`
`int` | `getTimeSeriesChunksToTake()`
`boolean` | `isRandomTake()`
`boolean` | `isUseSimpleDistance()`
`void` | `mergeConfig(LexicalEngineConfiguration config)`
`void` | `setCategoryDiscardDifferencialThreshold(float categoryDiscardDifferencialThreshold)`
`void` | `setCategoryDiscardThreshold(float categoryDiscardThreshold)`
`void` | `setChunkSize(int chunkSize)`
`void` | `setDatabaseAutomaticTestTable(java.lang.String databaseAutomaticTestTable)`
`void` | `setDatabaseDialect(java.lang.String databaseDialect)`
`void` | `setDatabaseDriver(java.lang.String databaseDriver)`
`void` | `setDatabaseIdleConnectionTestPeriod(java.lang.String databaseIdleConnectionTestPeriod)`
`void` | `setDatabasePassword(java.lang.String databasePassword)`
`void` | `setDatabaseURL(java.lang.String databaseURL)`
`void` | `setDatabaseUserName(java.lang.String databaseUserName)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEntryAcceptanceThreshold(float entryAcceptanceThreshold)`
`void` | `setIdColumn(java.lang.String idColumn)`
`void` | `setNameHuman(java.lang.String nameHuman)`
`void` | `setNumberOfThreadsToUse(int numberOfThreadsToUse)`
`void` | `setRandomTake(boolean randomTake)`
`void` | `setReferenceChunksToTake(int referenceChunksToTake)`
`void` | `setReferenceColumn(java.lang.String referenceColumn)`
`void` | `setReferenceTable(java.lang.String referenceTable)`
`void` | `setSingleEntryRecognitionMaxDeviation(float singleEntryRecognitionMaxDeviation)`
`void` | `setTimeSeriesChunksToTake(int timeSeriesChunksToTake)`
`void` | `setUseSimpleDistance(boolean useSimpleDistance)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### categoryDiscardThreshold

    public float categoryDiscardThreshold

### entryAcceptanceThreshold

    public float entryAcceptanceThreshold

### categoryDiscardDifferencialThreshold

    public float categoryDiscardDifferencialThreshold

### singleEntryRecognitionMaxDeviation

    public float singleEntryRecognitionMaxDeviation

### chunkSize

    public int chunkSize

### randomTake

    public java.lang.Boolean randomTake

### TimeSeriesChunksToTake

    public int TimeSeriesChunksToTake

### ReferenceChunksToTake

    public int ReferenceChunksToTake

### useSimpleDistance

    public java.lang.Boolean useSimpleDistance

### numberOfThreadsToUse

    public int numberOfThreadsToUse

### databaseDriver

    public java.lang.String databaseDriver

### databaseURL

    public java.lang.String databaseURL

### databaseUserName

    public java.lang.String databaseUserName

### databasePassword

    public java.lang.String databasePassword

### databaseDialect

    public java.lang.String databaseDialect

### databaseIdleConnectionTestPeriod

    public java.lang.String databaseIdleConnectionTestPeriod

### databaseAutomaticTestTable

    public java.lang.String databaseAutomaticTestTable

### referenceTable

    public java.lang.String referenceTable

### referenceColumn

    public java.lang.String referenceColumn

### idColumn

    public java.lang.String idColumn

### nameHuman

    public java.lang.String nameHuman

### description

    public java.lang.String description

Constructor Detail

### LexicalEngineConfiguration

    public LexicalEngineConfiguration()

Method Detail

### configure

    public void configure(java.lang.String absoluteFilePath)
                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setCategoryDiscardThreshold

    public void setCategoryDiscardThreshold(float categoryDiscardThreshold)

### getCategoryDiscardThreshold

    public float getCategoryDiscardThreshold()

### setEntryAcceptanceThreshold

    public void setEntryAcceptanceThreshold(float entryAcceptanceThreshold)

### getEntryAcceptanceThreshold

    public float getEntryAcceptanceThreshold()

### setCategoryDiscardDifferencialThreshold

    public void setCategoryDiscardDifferencialThreshold(float categoryDiscardDifferencialThreshold)

### getCategoryDiscardDifferencialThreshold

    public float getCategoryDiscardDifferencialThreshold()

### setChunkSize

    public void setChunkSize(int chunkSize)

### getChunkSize

    public int getChunkSize()

### setRandomTake

    public void setRandomTake(boolean randomTake)

### isRandomTake

    public boolean isRandomTake()

### setTimeSeriesChunksToTake

    public void setTimeSeriesChunksToTake(int timeSeriesChunksToTake)

### getTimeSeriesChunksToTake

    public int getTimeSeriesChunksToTake()

### setReferenceChunksToTake

    public void setReferenceChunksToTake(int referenceChunksToTake)

### getReferenceChunksToTake

    public int getReferenceChunksToTake()

### setUseSimpleDistance

    public void setUseSimpleDistance(boolean useSimpleDistance)

### isUseSimpleDistance

    public boolean isUseSimpleDistance()

### setNumberOfThreadsToUse

    public void setNumberOfThreadsToUse(int numberOfThreadsToUse)

### getNumberOfThreadsToUse

    public int getNumberOfThreadsToUse()

### setSingleEntryRecognitionMaxDeviation

    public void setSingleEntryRecognitionMaxDeviation(float singleEntryRecognitionMaxDeviation)

### getSingleEntryRecognitionMaxDeviation

    public float getSingleEntryRecognitionMaxDeviation()

### mergeConfig

    public void mergeConfig(LexicalEngineConfiguration config)

### setDatabaseDriver

    public void setDatabaseDriver(java.lang.String databaseDriver)

### getDatabaseDriver

    public java.lang.String getDatabaseDriver()

### setDatabaseURL

    public void setDatabaseURL(java.lang.String databaseURL)

### getDatabaseURL

    public java.lang.String getDatabaseURL()

### setDatabaseUserName

    public void setDatabaseUserName(java.lang.String databaseUserName)

### getDatabaseUserName

    public java.lang.String getDatabaseUserName()

### setDatabasePassword

    public void setDatabasePassword(java.lang.String databasePassword)

### getDatabasePassword

    public java.lang.String getDatabasePassword()

### setDatabaseDialect

    public void setDatabaseDialect(java.lang.String databaseDialect)

### getDatabaseDialect

    public java.lang.String getDatabaseDialect()

### setDatabaseIdleConnectionTestPeriod

    public void setDatabaseIdleConnectionTestPeriod(java.lang.String databaseIdleConnectionTestPeriod)

### getDatabaseIdleConnectionTestPeriod

    public java.lang.String getDatabaseIdleConnectionTestPeriod()

### setDatabaseAutomaticTestTable

    public void setDatabaseAutomaticTestTable(java.lang.String databaseAutomaticTestTable)

### getDatabaseAutomaticTestTable

    public java.lang.String getDatabaseAutomaticTestTable()

### getReferenceTable

    public java.lang.String getReferenceTable()

### setReferenceTable

    public void setReferenceTable(java.lang.String referenceTable)

### getReferenceColumn

    public java.lang.String getReferenceColumn()

### setReferenceColumn

    public void setReferenceColumn(java.lang.String referenceColumn)

### getIdColumn

    public java.lang.String getIdColumn()

### setIdColumn

    public void setIdColumn(java.lang.String idColumn)

### getNameHuman

    public java.lang.String getNameHuman()

### setNameHuman

    public void setNameHuman(java.lang.String nameHuman)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD